JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const response = await client.testHelpers.shipments.advance('checkoutIntentId');
console.log(response.shipment);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
response = client.test_helpers.shipments.advance(
"checkoutIntentId",
)
print(response.shipment)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.testhelpers.shipments.ShipmentAdvanceParams;
import com.rye.models.testhelpers.shipments.ShipmentAdvanceResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ShipmentAdvanceResponse response = client.testHelpers().shipments().advance("checkoutIntentId");
}
}curl https://staging.api.rye.com/api/v1/test-helpers/checkout-intents/$CHECKOUT_INTENT_ID/shipments/advance \
-X POST \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"shipment": {
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"id": "<string>",
"trackingEvents": [
{
"location": {
"country": "<string>",
"province": "<string>",
"city": "<string>"
},
"timestamp": {
"local": "<string>",
"utc": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"shippedAt": "2023-11-07T05:31:56Z",
"tracking": {
"number": "<string>",
"carrierName": "<string>",
"deliveryDate": {
"estimated": "2023-11-07T05:31:56Z"
},
"url": "<string>"
},
"externalId": "<string>",
"status": "shipped"
}
}Test Helpers
Advance simulated shipment
Advance the simulated shipment for a checkout intent. To trigger delayed or canceled shipping scenarios, create the checkout intent with a matching shipping and delivery test product: https://rye.com/docs/api-v2/testing/test-products#shipping-&-delivery
POST
/
api
/
v1
/
test-helpers
/
checkout-intents
/
{checkoutIntentId}
/
shipments
/
advance
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
const response = await client.testHelpers.shipments.advance('checkoutIntentId');
console.log(response.shipment);import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
response = client.test_helpers.shipments.advance(
"checkoutIntentId",
)
print(response.shipment)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.testhelpers.shipments.ShipmentAdvanceParams;
import com.rye.models.testhelpers.shipments.ShipmentAdvanceResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ShipmentAdvanceResponse response = client.testHelpers().shipments().advance("checkoutIntentId");
}
}curl https://staging.api.rye.com/api/v1/test-helpers/checkout-intents/$CHECKOUT_INTENT_ID/shipments/advance \
-X POST \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"shipment": {
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"id": "<string>",
"trackingEvents": [
{
"location": {
"country": "<string>",
"province": "<string>",
"city": "<string>"
},
"timestamp": {
"local": "<string>",
"utc": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"shippedAt": "2023-11-07T05:31:56Z",
"tracking": {
"number": "<string>",
"carrierName": "<string>",
"deliveryDate": {
"estimated": "2023-11-07T05:31:56Z"
},
"url": "<string>"
},
"externalId": "<string>",
"status": "shipped"
}
}Authorizations
Rye API key
Path Parameters
Response
200 - application/json
The advanced simulated shipment state
Shipments that have tracking information (shipped, delayed, or delivered states)
- Shipped
- Delivered
- Delayed
- Out for Delivery
- Ordered
- Canceled
Show child attributes
Show child attributes
Was this page helpful?
⌘I

